/* Written by Dan Heller.  Copyright 1991, O'Reilly && Associates.
 * This program is freely distributable without licensing fees and
 * is provided without guarantee or warrantee expressed or implied.
 * This program is -not- in the public domain.
 */

/*
 * This source module started out life as make_pulldown.c.
 */

#ifndef __pulldown_h
#define __pulldown_h

#include <Xm/Xm.h>

typedef struct _menu_item {
    char        *label;         /* the label for the item */
    WidgetClass *class;         /* pushbutton, label, separator... */
    char         mnemonic;      /* mnemonic; NULL if none */
    char        *accelerator;   /* accelerator; NULL if none */
    char        *accel_text;    /* to be converted to compound string */
    void       (*callback)();   /* routine to call; NULL if none */
    struct _menu_item *subitems; /* pullright menu items, if not NULL */
	Widget      *widget;        /* widget for menu item */
} MenuItem;

#endif  /* __pulldown_h */

